> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kadoa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Schedule a workflow



## OpenAPI

````yaml put /v4/workflows/{workflowId}/schedule
openapi: 3.0.3
info:
  title: Kadoa API
  version: 3.0.0
  contact:
    name: Support
    email: support@kadoa.com
servers:
  - url: https://api.kadoa.com
security: []
paths:
  /v4/workflows/{workflowId}/schedule:
    put:
      tags:
        - Workflows
      summary: Schedule a workflow
      parameters:
        - name: workflowId
          in: path
          required: true
          description: The ID of the workflow to schedule
          schema:
            type: string
      requestBody:
        description: ISO date (attention its timezone UTC) string required in request body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                date:
                  type: string
                  example: '2023-10-07T10:00:00.000Z'
      responses:
        '200':
          description: Workflow scheduled successfully
          content:
            text/plain:
              schema:
                type: string
                example: Workflow scheduled
        '400':
          description: Invalid date or workflowId missing
        '401':
          description: x-api-key missing or not authorized
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication

````